/*
@-moz-keyframes glow-star {
    40% { -moz-opacity: 0.3;}
    90%,100% { -moz-opacity: 1; -moz-transform: scale(1.2);}
}
@-webkit-keyframes glow-star {
    40% { -webkit-opacity: 0.3;}
    90%,100% { -webkit-opacity: 1; -webkit-transform: scale(1.2);}
}
@keyframes glow-star {
    40% { -webkit-opacity: 0.3; opacity: 0.3;  }
    90%,100% { -webkit-opacity: 1; opacity: 1; -webkit-transform: scale(1.2); transform: scale(1.2); border-radius: 999999px;}
}
/* Move the wrapper styles here to make the entire content section flexible */
#wrapper {
  min-height: 100vh; /* Make the wrapper at least the height of the viewport. */
  display: flex;
  flex-direction: column;
}

/* The content wrapper should grow to fill the remaining space */
#content-wrapper {
  flex: 1;
}

.sidebar-brand {
  background-color: #455156;
  position: absolute;
  top: 0;
  width: 250px;
  text-align: center;
  padding: 13px 0;
  color: #fff;
}

.sidebar-brand h2 {
  margin: 0;
  font-weight: 600;
  font-size: 24px;
  color: #fff;
}

.sidebar-brand i {
  width: 60px;
}

.sidebar-nav {
  position: absolute;
  top: 54px;
  width: 250px;
  margin: 0;
  padding: 0;
  list-style: none;
}

.sidebar-nav > li {
  color: #fff;
  text-indent: 10px;
  line-height: 42px;
}

.sidebar-nav > li a {
  display: block;
  text-decoration: none;
  color: #fff;
  font-weight: 600;
  font-size: 15px;
}

.sidebar-nav i {
  width: 50px;
  padding-right: 55px;
}

.accordion-nav {
  --bs-accordion-color: #fff;
  --bs-accordion-bg: transparent;
  --bs-accordion-btn-bg: var(--bs-accordion-bg);
  --bs-accordion-btn-color: #fff;
  --bs-accordion-active-bg: #465156;
  --bs-accordion-active-color: #23152175;
  --bs-accordion-btn-padding-x: 1.25rem;
  --bs-accordion-btn-padding-y: 1rem;
  --bs-accordion-body-padding-x: 1.25rem;
  --bs-accordion-body-padding-y: 1rem;
}

.accordion-nav-button {
  position: relative;
  display: flex;
  align-items: center;
  width: 100%;
  padding: var(--bs-accordion-btn-padding-y) var(--bs-accordion-btn-padding-x);
  font-size: 1rem;
  color: var(--bs-accordion-btn-color);
  text-align: left;
  background-color: var(--bs-accordion-btn-bg);
  border: 0;
  border-radius: 0;
  overflow-anchor: none;
  transition: var(--bs-accordion-transition);
}
@media (prefers-reduced-motion: reduce) {
  .accordion-nav-button {
    transition: none;
  }
}
.accordion-nav-button:not(.collapsed) {
  background-color: var(--bs-accordion-active-bg);
  transform: scale(1.05);
}

.accordion-nav-button::after {
  flex-shrink: 0;
  margin-left: auto;
  transition: var(--bs-accordion-btn-icon-transition);
}
@media (prefers-reduced-motion: reduce) {
  .accordion-nav-button::after {
    transition: none;
  }
}

.accordion-nav-button:hover,
.accordion-nav-button:focus {
  transform: scale(1.05);
  /*background: #FFCB39;*/
  background: #456156;
}

.accordion-nav-header {
  margin-bottom: 0;
}

.accordion-nav-item {
  color: var(--bs-accordion-color);
  background-color: var(--bs-accordion-bg);
}

.accordion-nav-flush .accordion-nav-collapse {
  border-width: 0;
}
.accordion-nav-flush .accordion-nav-item {
  border-right: 0;
  border-left: 0;
  border-radius: 0;
}
.accordion-nav-flush .accordion-nav-item:first-child {
  border-top: 0;
}
.accordion-nav-flush .accordion-nav-item:last-child {
  border-bottom: 0;
}
.accordion-nav-flush .accordion-nav-item .accordion-nav-button, .accordion-nav-flush .accordion-nav-item .accordion-nav-button.collapsed {
  border-radius: 0;
}

.accordion-nav-body a {
  text-decoration: none;
}

.accordion-nav-body li {
  padding: var(--bs-accordion-body-padding-y) var(--bs-accordion-body-padding-x);
}

.accordion-nav-body-active li,
.accordion-nav-body li:hover,
.accordion-nav-body li:focus {
  transform: scale(1.05);
  /*background: #FFCB39;*/
  background: #23152175;
  cursor: pointer;
}

button {
  border-radius: 0;
}

button a {
  text-decoration: none;
}

button:focus:not(:focus-visible) {
  outline: 0;
}

.objects img {
    z-index: 10;
    pointer-events: none;
}

.object_planet {
    position: absolute;
    top: 0%;
    left: 4%;
}

.stars {
    /*background: url(../img/overlay_stars.svg);*/
    background-color: #455156;
    /*background-repeat: repeat;*/
    background-size: contain;
    background-position: left top;
}
html, body {
  font-family: 'Dosis', sans-serif;
  padding-bottom: 30px; /* Add padding at the bottom to account for the fixed footer */
  margin: 0;
}

a {
  color: #fff;
  transition: color 0.2s;
}

a:hover,
a:focus {
  cursor: pointer;
  text-decoration: none;
  color: #fff;
}

#wrapper {
  padding-left: 0;
  transition: all 0.5s ease;
  position: relative;
}

#sidebar-wrapper {
  background-clip: padding-box;
  z-index: 1000;
  position: fixed;
  left: 250px;
  width: 0;
  height: 100%;
  margin-left: -250px;
  overflow: hidden;
  transition: all 0.5s ease;
  background-color: #455156;
  /*background: url(../img/bg_purple.png);*/
  background-repeat: repeat-x;
  background-size: cover;
  background-position: left top;
}

#wrapper.toggled #sidebar-wrapper {
  width: 250px;
}

.input-group i {
  width: 20px;
}

.breadcrumb a {
  text-decoration: none;
  color: #757575;
}

img, svg {
  padding-bottom: 10px;
}

.svg-links {
  position: absolute;
  bottom: 0;
  padding: 10%;
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  justify-content: center;
}

#navbar-wrapper {
  width: 100%;
  position: absolute;
  z-index: 2;
  min-height: 69px;
  max-height: 69px;
}

#wrapper.toggled #navbar-wrapper {
    position: absolute;
    margin-right: -250px;
}

#content-wrapper {
  width: 100%;
  position: absolute;
  padding: 0 15px 0 15px;
  top: 100px;
}
#wrapper.toggled #content-wrapper {
  position: absolute;
  margin-right: -250px;
}

@media (min-width: 992px) {
  #wrapper {
    padding-left: 250px;
  }

  #wrapper.toggled {
    padding-left: 60px;
  }

  #sidebar-wrapper {
    width: 250px;
  }

  #wrapper.toggled #sidebar-wrapper {
    width: 60px;
  }

  #wrapper.toggled #navbar-wrapper {
    position: absolute;
    margin-right: -190px;
}

  #wrapper.toggled #content-wrapper {
    position: absolute;
    margin-right: -190px;
  }

  #navbar-wrapper {
    position: relative;
  }

  #wrapper.toggled {
    padding-left: 60px;
  }

  #content-wrapper {
    position: relative;
    top: 0;
  }

  #wrapper.toggled #navbar-wrapper,
  #wrapper.toggled #content-wrapper {
    position: relative;
    margin-right: 60px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  #wrapper {
    padding-left: 60px;
  }

  #sidebar-wrapper {
    width: 60px;
    box-shadow: 1px 0 0 #dee2e6;
  }

#wrapper.toggled #navbar-wrapper {
    position: absolute;
    margin-right: -250px;
}

  #wrapper.toggled #content-wrapper {
    position: absolute;
    margin-right: -250px;
  }

  #navbar-wrapper {
    position: relative;
  }

  #wrapper.toggled {
    padding-left: 250px;
  }

  #content-wrapper {
    position: relative;
    top: 0;
  }

  #wrapper.toggled #navbar-wrapper,
  #wrapper.toggled #content-wrapper {
    position: relative;
    margin-right: 250px;
  }
}

@media (max-width: 767px) {
  #wrapper {
    padding-left: 0;
  }

  #sidebar-wrapper {
    width: 0;
  }

  #wrapper.toggled #sidebar-wrapper {
    width: 250px;
  }
  #wrapper.toggled #navbar-wrapper {
    position: absolute;
    margin-right: -250px;
  }

  #wrapper.toggled #content-wrapper {
    position: absolute;
    margin-right: -250px;
  }

  #navbar-wrapper {
    position: relative;
  }

  #wrapper.toggled {
    padding-left: 250px;
  }

  #content-wrapper {
    position: relative;
    top: 0;
  }

  #wrapper.toggled #navbar-wrapper,
  #wrapper.toggled #content-wrapper {
    position: relative;
    margin-right: 250px;
  }
}

#devices button {
  margin-left: .3em;
}

.clickable a {
  color: #000;
  text-decoration: none;
  transition: color 0.2s;
}

.clickable :hover {
  cursor: pointer;
  color: #465156;
}

.form-check-input:checked[type=checkbox] {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e");
}

.form-check-input:checked {
  background-color: #465156;
  border-color: #465156;
}

.form-check-input:focus {
  border-color: #ffe291;
  outline: 0;
  box-shadow: 0 0 0 0.25rem #ffbb00;
}
/* Footer styles */
footer {
  text-align: center;
  padding: 10px;
  background-color: #455156;
  position: fixed; /* Make the footer fixed to the bottom of the viewport */
  bottom: 0;
  width: 100%;
  color: #fff; /* You may also want to set the text color for better visibility */
}
.center-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.tooltip {
    display: none;
    position: absolute;
    background-color: #333;
    color: #fff;
    padding: 5px;
    border-radius: 5px;
}

.copy-button:hover + .tooltip {
    display: block;
}